Package com.xebialabs.xlrelease.domain

# Class ActivityLogEntry

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.ActivityLogEntry

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(description="Log of something that happened in XL Release.", root=APPLICATIONS, versioned=false) public class ActivityLogEntry extends BaseConfigurationItem

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Comparator<ActivityLogEntry>`
  `BY_EVENT_TIME`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActivityLogEntry()`
  `ActivityLogEntry(String activityType, String message)`
  `ActivityLogEntry(Date eventTime, String activityType, String username, String message, String targetType, String targetId)`
  `ActivityLogEntry(Date eventTime, String activityType, String username, String message, String targetType, String targetId, String dataId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getActivityType()`
  `String`
  `getDataId()`
  `Date`
  `getEventTime()`
  `String`
  `getMessage()`
  `String`
  `getTargetId()`
  `String`
  `getTargetType()`
  `String`
  `getUsername()`
  `int`
  `hashCode()`
  `boolean`
  `hasUsername()`
  `void`
  `logEntryToInfo()`
  `void`
  `setDataId(String dataId)`
  `void`
  `setEventTime(Date eventTime)`
  `void`
  `setMessage(String message)`
  `void`
  `setTargetId(String targetId)`
  `void`
  `setTargetType(String targetType)`
  `void`
  `setUsername(String username)`
  `String`
  `toString()`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### BY_EVENT_TIME

    public static final Comparator<ActivityLogEntry> BY_EVENT_TIME

- ## Constructor Details

  - ### ActivityLogEntry

    public ActivityLogEntry()

  - ### ActivityLogEntry

    public ActivityLogEntry(String activityType, String message)

  - ### ActivityLogEntry

    public ActivityLogEntry(Date eventTime, String activityType, String username, String message, String targetType, String targetId)

  - ### ActivityLogEntry

    public ActivityLogEntry(Date eventTime, String activityType, String username, String message, String targetType, String targetId, String dataId)

- ## Method Details

  - ### hasUsername

    public boolean hasUsername()

  - ### getUsername

    public String getUsername()

  - ### setUsername

    public void setUsername(String username)

  - ### getActivityType

    public String getActivityType()

  - ### setMessage

    public void setMessage(String message)

  - ### getMessage

    public String getMessage()

  - ### getEventTime

    public Date getEventTime()

  - ### setEventTime

    public void setEventTime(Date eventTime)

  - ### setTargetType

    public void setTargetType(String targetType)

  - ### getTargetType

    public String getTargetType()

  - ### setTargetId

    public void setTargetId(String targetId)

  - ### getTargetId

    public String getTargetId()

  - ### getDataId

    public String getDataId()

  - ### setDataId

    public void setDataId(String dataId)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `BaseConfigurationItem`

  - ### logEntryToInfo

    public void logEntryToInfo()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `BaseConfigurationItem`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `BaseConfigurationItem`